Manage subscription
/
Get user account link
Subscriptions API (2.0)
- Version: 2.0
- Servers:
https://api.xsolla.com/merchant/v2/
This API reference describes endpoints for managing subscriptions, coupons, and promotions. To get more information about Subscriptions, see the product guide and the glossary.
Скачать описание OpenAPI
Языки
Серверы
Mock server
https://xsolla.redocly.app/_mock/ru/api/subscriptions/
Телоapplication/jsonобязательный
Массив с данными о планах подписок. Только планы из этого списка будут показаны в платежном интерфейсе.
По умолчанию null
ID of the product associated with the plan
По умолчанию null
Пример: "12345"
- https://subscriptions.xsolla.com/api/user/v1/projects/{project_id}/subscriptions/manage
- Mock serverhttps://xsolla.redocly.app/_mock/ru/api/subscriptions/api/user/v1/projects/{project_id}/subscriptions/manage
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://xsolla.redocly.app/_mock/ru/api/subscriptions/api/user/v1/projects/{project_id}/subscriptions/manage?country=string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"available_plans": null,
"custom_parameters": null,
"product_id": "12345",
"settings": {
"currency": "str",
"external_id": "string",
"hide_saved_payment_accounts": true,
"locale": "st",
"payment_method": 1,
"redirect_policy": {
"delay": 0,
"redirect_button_caption": "string",
"redirect_conditions": "none",
"status_for_manual_redirection": "none"
},
"return_url": "string",
"steam_user_id": "stringstringstrin",
"ui": {
"desktop": {
"header": {
"close_button": true,
"is_visible": true,
"type": "compact",
"visible_logo": true,
"visible_name": true
}
},
"independent_windows": true,
"license_url": "string",
"mobile": {
"footer": {
"is_visible": true
},
"header": {
"close_button": true
},
"mode": "saved_accounts"
},
"mode": "user_account",
"size": "large",
"theme": "string",
"user_account": {
"history": {
"enable": true,
"order": 1
},
"info": {
"enable": true,
"order": 1
},
"payment_accounts": {
"enable": true,
"order": 1
},
"subscriptions": {
"enable": true,
"order": 1
}
},
"version": "desktop"
},
"xsolla_product_tag": "string"
},
"steam_user_id": "string"
}'Ответ
application/json
{ "link_to_ps": "https://secure.xsolla.com/paystation2/?access_token=<access_token>" }
- https://subscriptions.xsolla.com/api/user/v1/projects/{project_id}/subscriptions/user_account
- Mock serverhttps://xsolla.redocly.app/_mock/ru/api/subscriptions/api/user/v1/projects/{project_id}/subscriptions/user_account
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://xsolla.redocly.app/_mock/ru/api/subscriptions/api/user/v1/projects/{project_id}/subscriptions/user_account?locale=string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Ответ
application/json
{ "redirect_url": "https://subscriptions-user-account.xsolla.com/?token=<access_token>&projectId=<project_id>&merchantId=<merchant_id>&locale=<locale>" }
- https://subscriptions.xsolla.com/api/user/v1/projects/{project_id}/subscriptions/{subscription_id}
- Mock serverhttps://xsolla.redocly.app/_mock/ru/api/subscriptions/api/user/v1/projects/{project_id}/subscriptions/{subscription_id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://xsolla.redocly.app/_mock/ru/api/subscriptions/api/user/v1/projects/{project_id}/subscriptions/{subscription_id}?locale=string' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Ответ
application/json
{ "charge": { "amount": 4.99, "currency": "USD", "setup_fee": 0.99 }, "date_create": "2031-04-11T13:51:02+03:00", "date_end": "2031-04-11T13:51:02+03:00", "date_last_charge": "2031-04-11T13:51:02+03:00", "date_next_charge": "2031-04-11T13:51:02+03:00", "id": "12345", "is_change_plan_allowed": "false", "is_change_to_non_renew_possible": "true", "is_in_trial": "false", "is_renew_possible": "true", "period": { "unit": "month", "value": "1" }, "plan_description": "Localized plan description", "plan_end_date": "2031-04-11T13:51:02+03:00", "plan_external_id": "PlanExternalId", "plan_id": "54321", "plan_name": "Localized plan name", "plan_start_date": "2021-04-11T13:51:02+03:00", "product_description": "Localized product description", "product_external_id": "ProductExternalId", "product_id": "12345", "product_name": "Product name", "status": "active", "trial_period": "0" }